Skip to Content

BuyUFilePkg - BuyUFilePkg

Overview

BuyUFilePkg

Definition

Public Parameters

Parameter NameTypeDescription InformationRequired
ActionstringCorresponding API command name, the current API is BuyUFilePkg.Yes
PublicKeystringThe user’s public key can be obtained from Console Yes
SignaturestringUser signature generated based on public key and API command, see Signature AlgorithmYes

Request Parameters

Parameter NameTypeDescription InformationRequired
RegionstringRegion. See List of Regions and Availability ZonesYes
ZonestringAvailability Zones. See List of Availability ZonesNo
ProjectIdstringProject ID. If not filled in, the default project is used, sub-accounts must be filled in. Please refer to the GetProjectList interface.No
PkgNamestringResource package nameYes
PkgTypeintResource package type. 0: Standard storage package, 1: Busy hour traffic package, 2: Off-peak traffic packageYes
AmountintPurchase QuantityYes
AmountUnitstringUnits of quantity, such as GB, TB, etc.Yes
DurationintPurchase durationYes
DurationUnitstringUnits of time, such as Month, Year, etc.Yes

Response Field

Field NameTypeDescription InformationRequired
RetCodeintReturn status code. If it is 0, it means successful return. If it is not 0, it means failure.Yes
ActionstringOperation command name.Yes
MessagestringReturns an error message, providing detailed description when RetCode is non-zero.No
ResourceIdstringPurchase successful, resource package ID returned.Yes

Example

Request Example

https://api.dezai.com/?Action=BuyUFilePkg &Region=cn-zj &Zone=cn-zj-01 &ProjectId=rREmamOK &PkgType=4 &Amount=6 &AmountUnit=MsWaKxSE &Duration=4 &DurationUnit=mpKaIfHW &PkgName=RGlqTlci

Response Example

{ "Action": "BuyUFilePkgResponse", "ResourceId": "tAUKBskD", "RetCode": 0 }